// Copyright {YYYY} Brian Newman. All rights reserved.
/*
	A few words about this application.
*/
package main

import (
	"os"

	UI "go.cdmnky.io/v2/ui"
)

var (
	appname = "template"
	version = "yyyy.mm.x"
	build   = "yyyy.mm.dd"

	ui *UI.UI
)

func main() {

	// -----------------------------------------------------------------------------
	ui = UI.New(appname, version, build)
	err := ui.Parse(os.Args)
	if err != nil {
		ui.Errorln(err)
		os.Exit(1)
	}

	ui.Banner()

}
